Bug 188937 - IDBCursor does not need to be an ActiveDOMObject
Summary: IDBCursor does not need to be an ActiveDOMObject
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: youenn fablet
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2018-08-24 16:04 PDT by youenn fablet
Modified: 2018-08-26 19:44 PDT (History)
10 users (show)

See Also:


Attachments
Patch (15.98 KB, patch)
2018-08-24 16:07 PDT, youenn fablet
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description youenn fablet 2018-08-24 16:04:54 PDT
It does not have any asynchronous calls not event listeners that would require it to be an active dom object.
Comment 1 youenn fablet 2018-08-24 16:07:10 PDT
Created attachment 348052 [details]
Patch
Comment 2 WebKit Commit Bot 2018-08-25 11:15:41 PDT
Comment on attachment 348052 [details]
Patch

Rejecting attachment 348052 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.webkit.org', '--bot-id=webkit-cq-01', 'land-attachment', '--force-clean', '--non-interactive', '--parent-command=commit-queue', 348052, '--port=mac']" exit_code: 2 cwd: /Volumes/Data/EWS/WebKit

Logging in as commit-queue@webkit.org...
Fetching: https://bugs.webkit.org/attachment.cgi?id=348052&action=edit
Fetching: https://bugs.webkit.org/show_bug.cgi?id=188937&ctype=xml&excludefield=attachmentdata
Processing 1 patch from 1 bug.
Updating working directory
Processing patch 348052 from bug 188937.
Fetching: https://bugs.webkit.org/attachment.cgi?id=348052
Failed to run "['git', 'svn', 'dcommit', '--rmdir']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit

Committing to http://svn.webkit.org/repository/webkit/trunk ...
	M	Source/WebCore/ChangeLog
	M	Source/WebCore/Modules/indexeddb/IDBCursor.cpp
	M	Source/WebCore/Modules/indexeddb/IDBCursor.h
	M	Source/WebCore/Modules/indexeddb/IDBCursor.idl
	M	Source/WebCore/Modules/indexeddb/IDBCursorWithValue.cpp
	M	Source/WebCore/Modules/indexeddb/IDBCursorWithValue.h
	M	Source/WebCore/Modules/indexeddb/IDBCursorWithValue.idl
	M	Source/WebCore/Modules/indexeddb/IDBRequest.cpp
	M	Source/WebCore/Modules/indexeddb/IDBRequest.h
	M	Source/WebCore/Modules/indexeddb/IDBTransaction.cpp

ERROR from SVN:
A repository hook failed: Commit blocked by pre-commit hook (exit code 1) with output:
Commits are currently disabled while we update infrastructure.
W: 28bfa3222375559268168668426c0a4a6a03db76 and refs/remotes/origin/master differ, using rebase:
:040000 040000 fcffa1fefa8f1f0c37753591833ff9f6f0911e21 162abbfb909fd78b90c6722de4a4368f8d472b8a M	Source
Current branch master is up to date.
ERROR: Not all changes have been committed into SVN, however the committed
ones (if any) seem to be successfully integrated into the working tree.
Please see the above messages for details.


Failed to run "['git', 'svn', 'dcommit', '--rmdir']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit

Committing to http://svn.webkit.org/repository/webkit/trunk ...
	M	Source/WebCore/ChangeLog
	M	Source/WebCore/Modules/indexeddb/IDBCursor.cpp
	M	Source/WebCore/Modules/indexeddb/IDBCursor.h
	M	Source/WebCore/Modules/indexeddb/IDBCursor.idl
	M	Source/WebCore/Modules/indexeddb/IDBCursorWithValue.cpp
	M	Source/WebCore/Modules/indexeddb/IDBCursorWithValue.h
	M	Source/WebCore/Modules/indexeddb/IDBCursorWithValue.idl
	M	Source/WebCore/Modules/indexeddb/IDBRequest.cpp
	M	Source/WebCore/Modules/indexeddb/IDBRequest.h
	M	Source/WebCore/Modules/indexeddb/IDBTransaction.cpp

ERROR from SVN:
A repository hook failed: Commit blocked by pre-commit hook (exit code 1) with output:
Commits are currently disabled while we update infrastructure.
W: 28bfa3222375559268168668426c0a4a6a03db76 and refs/remotes/origin/master differ, using rebase:
:040000 040000 fcffa1fefa8f1f0c37753591833ff9f6f0911e21 162abbfb909fd78b90c6722de4a4368f8d472b8a M	Source
Current branch master is up to date.
ERROR: Not all changes have been committed into SVN, however the committed
ones (if any) seem to be successfully integrated into the working tree.
Please see the above messages for details.


Failed to run "['git', 'svn', 'dcommit', '--rmdir']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit
Updating OpenSource
Current branch master is up to date.

Full output: https://webkit-queues.webkit.org/results/8982471
Comment 3 WebKit Commit Bot 2018-08-26 19:43:33 PDT
Comment on attachment 348052 [details]
Patch

Clearing flags on attachment: 348052

Committed r235344: <https://trac.webkit.org/changeset/235344>
Comment 4 WebKit Commit Bot 2018-08-26 19:43:35 PDT
All reviewed patches have been landed.  Closing bug.
Comment 5 Radar WebKit Bug Importer 2018-08-26 19:44:16 PDT
<rdar://problem/43740257>